/*
Run this script on:

        (local)\SQLEXPRESS.empty    -  This database will be modified

to synchronize it with:

        (local)\SQLEXPRESS.V554

You are recommended to back up your database before running this script

Script created by SQL Compare version 14.4.4.16824 from Red Gate Software Ltd at 20/01/2023 11:39:17

*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL Serializable
GO
BEGIN TRANSACTION
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountScreens]'
GO
CREATE TABLE [dbo].[AccountScreens]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Filter] [int] NOT NULL,
[DisplayAsTree] [bit] NOT NULL,
[SortOrder] [int] NOT NULL,
[SettingData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AutomationCommandMapData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountScreens] on [dbo].[AccountScreens]'
GO
ALTER TABLE [dbo].[AccountScreens] ADD CONSTRAINT [PK_dbo.AccountScreens] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountScreenValues]'
GO
CREATE TABLE [dbo].[AccountScreenValues]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AccountScreenId] [int] NOT NULL,
[AccountTypeId] [int] NOT NULL,
[AccountTypeName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DisplayDetails] [bit] NOT NULL,
[HideZeroBalanceAccounts] [bit] NOT NULL,
[SortOrder] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountScreenValues] on [dbo].[AccountScreenValues]'
GO
ALTER TABLE [dbo].[AccountScreenValues] ADD CONSTRAINT [PK_dbo.AccountScreenValues] PRIMARY KEY CLUSTERED  ([Id], [AccountScreenId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountScreenId] on [dbo].[AccountScreenValues]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountScreenId] ON [dbo].[AccountScreenValues] ([AccountScreenId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactionDocumentTypes]'
GO
CREATE TABLE [dbo].[AccountTransactionDocumentTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ButtonHeader] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MasterAccountTypeId] [int] NOT NULL,
[DefaultAmount] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DescriptionTemplate] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ExchangeTemplate] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[BatchCreateDocuments] [bit] NOT NULL,
[Filter] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[PrinterTemplateId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactionDocumentTypes] on [dbo].[AccountTransactionDocumentTypes]'
GO
ALTER TABLE [dbo].[AccountTransactionDocumentTypes] ADD CONSTRAINT [PK_dbo.AccountTransactionDocumentTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactionDocumentAccountMaps]'
GO
CREATE TABLE [dbo].[AccountTransactionDocumentAccountMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AccountTransactionDocumentTypeId] [int] NOT NULL,
[AccountId] [int] NOT NULL,
[AccountName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MappedAccountId] [int] NOT NULL,
[MappedAccountName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactionDocumentAccountMaps] on [dbo].[AccountTransactionDocumentAccountMaps]'
GO
ALTER TABLE [dbo].[AccountTransactionDocumentAccountMaps] ADD CONSTRAINT [PK_dbo.AccountTransactionDocumentAccountMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionDocumentTypeId] on [dbo].[AccountTransactionDocumentAccountMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionDocumentTypeId] ON [dbo].[AccountTransactionDocumentAccountMaps] ([AccountTransactionDocumentTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes]'
GO
CREATE TABLE [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes]
(
[AccountTransactionDocumentType_Id] [int] NOT NULL,
[AccountTransactionType_Id] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactionDocumentTypeAccountTransactionTypes] on [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes]'
GO
ALTER TABLE [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes] ADD CONSTRAINT [PK_dbo.AccountTransactionDocumentTypeAccountTransactionTypes] PRIMARY KEY CLUSTERED  ([AccountTransactionDocumentType_Id], [AccountTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionDocumentType_Id] on [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionDocumentType_Id] ON [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes] ([AccountTransactionDocumentType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionType_Id] on [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionType_Id] ON [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes] ([AccountTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactionTypes]'
GO
CREATE TABLE [dbo].[AccountTransactionTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[SourceAccountTypeId] [int] NOT NULL,
[TargetAccountTypeId] [int] NOT NULL,
[DefaultSourceAccountId] [int] NOT NULL,
[DefaultTargetAccountId] [int] NOT NULL,
[ForeignCurrencyId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactionTypes] on [dbo].[AccountTransactionTypes]'
GO
ALTER TABLE [dbo].[AccountTransactionTypes] ADD CONSTRAINT [PK_dbo.AccountTransactionTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactionDocumentTypeMaps]'
GO
CREATE TABLE [dbo].[AccountTransactionDocumentTypeMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AccountTransactionDocumentTypeId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactionDocumentTypeMaps] on [dbo].[AccountTransactionDocumentTypeMaps]'
GO
ALTER TABLE [dbo].[AccountTransactionDocumentTypeMaps] ADD CONSTRAINT [PK_dbo.AccountTransactionDocumentTypeMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionDocumentTypeId] on [dbo].[AccountTransactionDocumentTypeMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionDocumentTypeId] ON [dbo].[AccountTransactionDocumentTypeMaps] ([AccountTransactionDocumentTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactionDocuments]'
GO
CREATE TABLE [dbo].[AccountTransactionDocuments]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Date] [datetime] NOT NULL,
[UserId] [int] NOT NULL,
[UserName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DocumentTypeId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactionDocuments] on [dbo].[AccountTransactionDocuments]'
GO
ALTER TABLE [dbo].[AccountTransactionDocuments] ADD CONSTRAINT [PK_dbo.AccountTransactionDocuments] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactions]'
GO
CREATE TABLE [dbo].[AccountTransactions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AccountTransactionDocumentId] [int] NOT NULL,
[Amount] [decimal] (16, 2) NOT NULL,
[ExchangeRate] [decimal] (16, 10) NOT NULL,
[AccountTransactionTypeId] [int] NOT NULL,
[SourceAccountTypeId] [int] NOT NULL,
[TargetAccountTypeId] [int] NOT NULL,
[IsReversed] [bit] NOT NULL,
[Reversable] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactions] on [dbo].[AccountTransactions]'
GO
ALTER TABLE [dbo].[AccountTransactions] ADD CONSTRAINT [PK_dbo.AccountTransactions] PRIMARY KEY CLUSTERED  ([Id], [AccountTransactionDocumentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionDocumentId] on [dbo].[AccountTransactions]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionDocumentId] ON [dbo].[AccountTransactions] ([AccountTransactionDocumentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactions_Id] on [dbo].[AccountTransactions]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactions_Id] ON [dbo].[AccountTransactions] ([AccountTransactionDocumentId], [Id], [Amount], [ExchangeRate], [AccountTransactionTypeId], [SourceAccountTypeId], [TargetAccountTypeId], [IsReversed], [Reversable]) INCLUDE ([Name])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTransactionValues]'
GO
CREATE TABLE [dbo].[AccountTransactionValues]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AccountTransactionId] [int] NOT NULL,
[AccountTransactionDocumentId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[AccountTypeId] [int] NOT NULL,
[AccountId] [int] NOT NULL,
[Date] [datetime] NOT NULL,
[Debit] [decimal] (16, 2) NOT NULL,
[Credit] [decimal] (16, 2) NOT NULL,
[Exchange] [decimal] (16, 2) NOT NULL,
[AccountTransactionTypeId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTransactionValues] on [dbo].[AccountTransactionValues]'
GO
ALTER TABLE [dbo].[AccountTransactionValues] ADD CONSTRAINT [PK_dbo.AccountTransactionValues] PRIMARY KEY CLUSTERED  ([Id], [AccountTransactionId], [AccountTransactionDocumentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionValues_AccountId] on [dbo].[AccountTransactionValues]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionValues_AccountId] ON [dbo].[AccountTransactionValues] ([AccountId], [Debit], [Credit], [AccountTransactionTypeId]) INCLUDE ([Id], [AccountTransactionId], [AccountTransactionDocumentId], [AccountTypeId], [Date], [Exchange], [Name])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionId_AccountTransactionDocumentId] on [dbo].[AccountTransactionValues]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionId_AccountTransactionDocumentId] ON [dbo].[AccountTransactionValues] ([AccountTransactionId], [AccountTransactionDocumentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionValues_AccountTransactionId] on [dbo].[AccountTransactionValues]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionValues_AccountTransactionId] ON [dbo].[AccountTransactionValues] ([AccountTransactionId], [AccountTransactionDocumentId]) INCLUDE ([Id], [AccountTypeId], [AccountId], [Date], [Debit], [Credit], [Exchange], [Name], [AccountTransactionTypeId], [DepartmentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionValues_AccountTypeId] on [dbo].[AccountTransactionValues]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionValues_AccountTypeId] ON [dbo].[AccountTransactionValues] ([AccountTypeId], [Id], [Date]) INCLUDE ([Debit], [Credit])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AppRules]'
GO
CREATE TABLE [dbo].[AppRules]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EventName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[RuleConstraints] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ConstraintMatch] [int] NOT NULL,
[EventConstraints] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[Tags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AppRules] on [dbo].[AppRules]'
GO
ALTER TABLE [dbo].[AppRules] ADD CONSTRAINT [PK_dbo.AppRules] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ActionContainers]'
GO
CREATE TABLE [dbo].[ActionContainers]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AppActionId] [int] NOT NULL,
[AppRuleId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ParameterValues] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CustomConstraint] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[Async] [bit] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ActionContainers] on [dbo].[ActionContainers]'
GO
ALTER TABLE [dbo].[ActionContainers] ADD CONSTRAINT [PK_dbo.ActionContainers] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AppRuleId] on [dbo].[ActionContainers]'
GO
CREATE NONCLUSTERED INDEX [IX_AppRuleId] ON [dbo].[ActionContainers] ([AppRuleId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AppRuleMaps]'
GO
CREATE TABLE [dbo].[AppRuleMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AppRuleId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AppRuleMaps] on [dbo].[AppRuleMaps]'
GO
ALTER TABLE [dbo].[AppRuleMaps] ADD CONSTRAINT [PK_dbo.AppRuleMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AppRuleId] on [dbo].[AppRuleMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_AppRuleId] ON [dbo].[AppRuleMaps] ([AppRuleId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Tickets]'
GO
CREATE TABLE [dbo].[Tickets]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[LastUpdateTime] [datetime] NOT NULL,
[TicketVersion] [datetime] NOT NULL,
[TicketUid] [nvarchar] (128) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TicketNumber] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Date] [datetime] NOT NULL,
[LastOrderDate] [datetime] NOT NULL,
[LastPaymentDate] [datetime] NOT NULL,
[PreOrder] [bit] NOT NULL,
[IsClosed] [bit] NOT NULL,
[IsLocked] [bit] NOT NULL,
[IsOpened] [bit] NOT NULL,
[EDocumentDetail] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EDocumentSent] [bit] NOT NULL,
[RemainingAmount] [decimal] (16, 2) NOT NULL,
[TotalAmount] [decimal] (16, 2) NOT NULL,
[TotalAmountPreTax] [decimal] (18, 2) NOT NULL,
[DepartmentId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL,
[Note] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[LastModifiedUserName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CreatedUserName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TicketTags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TicketStates] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TicketLogs] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[LineSeparators] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ExchangeRate] [decimal] (16, 10) NOT NULL,
[TaxIncluded] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TransactionDocument_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Tickets] on [dbo].[Tickets]'
GO
ALTER TABLE [dbo].[Tickets] ADD CONSTRAINT [PK_dbo.Tickets] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Tickets_TicketId] on [dbo].[Tickets]'
GO
CREATE NONCLUSTERED INDEX [IX_Tickets_TicketId] ON [dbo].[Tickets] ([Date], [TransactionDocument_Id], [Id], [LastUpdateTime], [TicketVersion], [TicketUid], [LastOrderDate], [LastPaymentDate], [PreOrder], [IsClosed], [IsLocked], [RemainingAmount], [TotalAmount], [DepartmentId], [TerminalId], [TaxIncluded], [TicketTypeId]) INCLUDE ([TicketNumber], [Note], [LastModifiedUserName], [TicketTags], [TicketStates], [TicketLogs], [LineSeparators], [ExchangeRate], [Name])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Tickets_TicketTypeId] on [dbo].[Tickets]'
GO
CREATE NONCLUSTERED INDEX [IX_Tickets_TicketTypeId] ON [dbo].[Tickets] ([IsClosed]) INCLUDE ([Id], [TicketTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TransactionDocument_Id] on [dbo].[Tickets]'
GO
CREATE NONCLUSTERED INDEX [IX_TransactionDocument_Id] ON [dbo].[Tickets] ([TransactionDocument_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AutomationCommandLogs]'
GO
CREATE TABLE [dbo].[AutomationCommandLogs]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Description] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AutomationCommandId] [int] NOT NULL,
[UserId] [int] NOT NULL,
[AdminId] [int] NOT NULL,
[TicketId] [int] NOT NULL,
[OrderUid] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Date] [datetime] NOT NULL,
[UserName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AdminName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AutomationCommandLogs] on [dbo].[AutomationCommandLogs]'
GO
ALTER TABLE [dbo].[AutomationCommandLogs] ADD CONSTRAINT [PK_dbo.AutomationCommandLogs] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketId] on [dbo].[AutomationCommandLogs]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketId] ON [dbo].[AutomationCommandLogs] ([TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AutomationCommands]'
GO
CREATE TABLE [dbo].[AutomationCommands]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Category] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ButtonHeader] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Color] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FontSize] [int] NOT NULL,
[Values] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Image] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ToggleValues] [bit] NOT NULL,
[ExecuteOnce] [bit] NOT NULL,
[ClearSelection] [bit] NOT NULL,
[SortOrder] [int] NOT NULL,
[ConfirmationType] [int] NOT NULL,
[Symbol] [nvarchar] (5) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ContentTemplate] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AutoRefresh] [int] NOT NULL,
[TileCacheLifetime] [int] NOT NULL,
[NavigationModule] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AskTextInput] [bit] NOT NULL,
[AskNumericInput] [bit] NOT NULL,
[InternalName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AutomationCommands] on [dbo].[AutomationCommands]'
GO
ALTER TABLE [dbo].[AutomationCommands] ADD CONSTRAINT [PK_dbo.AutomationCommands] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AutomationCommandMaps]'
GO
CREATE TABLE [dbo].[AutomationCommandMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AutomationCommandId] [int] NOT NULL,
[DisplayOnTicket] [bit] NOT NULL,
[DisplayOnPayment] [bit] NOT NULL,
[DisplayOnOrders] [bit] NOT NULL,
[DisplayOnTicketList] [bit] NOT NULL,
[DisplayUnderTicket] [bit] NOT NULL,
[DisplayUnderTicket2] [bit] NOT NULL,
[DisplayOnCommandSelector] [bit] NOT NULL,
[DisplayOnNavigation] [bit] NOT NULL,
[EnabledStates] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[VisibleStates] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AutomationCommandMaps] on [dbo].[AutomationCommandMaps]'
GO
ALTER TABLE [dbo].[AutomationCommandMaps] ADD CONSTRAINT [PK_dbo.AutomationCommandMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AutomationCommandId] on [dbo].[AutomationCommandMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_AutomationCommandId] ON [dbo].[AutomationCommandMaps] ([AutomationCommandId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Calculations]'
GO
CREATE TABLE [dbo].[Calculations]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Order] [int] NOT NULL,
[CalculationTypeId] [int] NOT NULL,
[AccountTransactionTypeId] [int] NOT NULL,
[CalculationType] [int] NOT NULL,
[IncludeTax] [bit] NOT NULL,
[DecreaseAmount] [bit] NOT NULL,
[UsePlainSum] [bit] NOT NULL,
[Amount] [decimal] (16, 2) NOT NULL,
[CalculationAmount] [decimal] (16, 2) NOT NULL,
[Rounding] [decimal] (16, 2) NOT NULL,
[ExchangeRate] [decimal] (16, 10) NOT NULL,
[LastUpdateDate] [datetime] NOT NULL,
[LastUpdatedUser] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PaymentId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Calculations] on [dbo].[Calculations]'
GO
ALTER TABLE [dbo].[Calculations] ADD CONSTRAINT [PK_dbo.Calculations] PRIMARY KEY CLUSTERED  ([Id], [TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketId] on [dbo].[Calculations]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketId] ON [dbo].[Calculations] ([TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[CalculationSelectors]'
GO
CREATE TABLE [dbo].[CalculationSelectors]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ButtonHeader] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FontSize] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.CalculationSelectors] on [dbo].[CalculationSelectors]'
GO
ALTER TABLE [dbo].[CalculationSelectors] ADD CONSTRAINT [PK_dbo.CalculationSelectors] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[CalculationSelectorCalculationTypes]'
GO
CREATE TABLE [dbo].[CalculationSelectorCalculationTypes]
(
[CalculationSelector_Id] [int] NOT NULL,
[CalculationType_Id] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.CalculationSelectorCalculationTypes] on [dbo].[CalculationSelectorCalculationTypes]'
GO
ALTER TABLE [dbo].[CalculationSelectorCalculationTypes] ADD CONSTRAINT [PK_dbo.CalculationSelectorCalculationTypes] PRIMARY KEY CLUSTERED  ([CalculationSelector_Id], [CalculationType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_CalculationSelector_Id] on [dbo].[CalculationSelectorCalculationTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_CalculationSelector_Id] ON [dbo].[CalculationSelectorCalculationTypes] ([CalculationSelector_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_CalculationType_Id] on [dbo].[CalculationSelectorCalculationTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_CalculationType_Id] ON [dbo].[CalculationSelectorCalculationTypes] ([CalculationType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[CalculationTypes]'
GO
CREATE TABLE [dbo].[CalculationTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[CalculationMethod] [int] NOT NULL,
[Amount] [decimal] (16, 2) NOT NULL,
[MaxAmount] [decimal] (16, 2) NOT NULL,
[Rounding] [decimal] (16, 2) NOT NULL,
[IncludeTax] [bit] NOT NULL,
[DecreaseAmount] [bit] NOT NULL,
[UsePlainSum] [bit] NOT NULL,
[ToggleCalculation] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AccountTransactionType_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.CalculationTypes] on [dbo].[CalculationTypes]'
GO
ALTER TABLE [dbo].[CalculationTypes] ADD CONSTRAINT [PK_dbo.CalculationTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionType_Id] on [dbo].[CalculationTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionType_Id] ON [dbo].[CalculationTypes] ([AccountTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[CalculationSelectorMaps]'
GO
CREATE TABLE [dbo].[CalculationSelectorMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[CalculationSelectorId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.CalculationSelectorMaps] on [dbo].[CalculationSelectorMaps]'
GO
ALTER TABLE [dbo].[CalculationSelectorMaps] ADD CONSTRAINT [PK_dbo.CalculationSelectorMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_CalculationSelectorId] on [dbo].[CalculationSelectorMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_CalculationSelectorId] ON [dbo].[CalculationSelectorMaps] ([CalculationSelectorId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ChangePayments]'
GO
CREATE TABLE [dbo].[ChangePayments]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketId] [int] NOT NULL,
[ChangePaymentTypeId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Date] [datetime] NOT NULL,
[AccountTransactionId] [int] NOT NULL,
[Amount] [decimal] (16, 2) NOT NULL,
[UserId] [int] NOT NULL,
[ExchangeRate] [decimal] (16, 10) NOT NULL,
[AccountTransaction_Id] [int] NULL,
[AccountTransaction_AccountTransactionDocumentId] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ChangePayments] on [dbo].[ChangePayments]'
GO
ALTER TABLE [dbo].[ChangePayments] ADD CONSTRAINT [PK_dbo.ChangePayments] PRIMARY KEY CLUSTERED  ([Id], [TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransaction_Id_AccountTransaction_AccountTransactionDocumentId] on [dbo].[ChangePayments]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransaction_Id_AccountTransaction_AccountTransactionDocumentId] ON [dbo].[ChangePayments] ([AccountTransaction_Id], [AccountTransaction_AccountTransactionDocumentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketId] on [dbo].[ChangePayments]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketId] ON [dbo].[ChangePayments] ([TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ChangePaymentTypes]'
GO
CREATE TABLE [dbo].[ChangePaymentTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Account_Id] [int] NULL,
[AccountTransactionType_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ChangePaymentTypes] on [dbo].[ChangePaymentTypes]'
GO
ALTER TABLE [dbo].[ChangePaymentTypes] ADD CONSTRAINT [PK_dbo.ChangePaymentTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Account_Id] on [dbo].[ChangePaymentTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_Account_Id] ON [dbo].[ChangePaymentTypes] ([Account_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionType_Id] on [dbo].[ChangePaymentTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionType_Id] ON [dbo].[ChangePaymentTypes] ([AccountTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ChangePaymentTypeMaps]'
GO
CREATE TABLE [dbo].[ChangePaymentTypeMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ChangePaymentTypeId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ChangePaymentTypeMaps] on [dbo].[ChangePaymentTypeMaps]'
GO
ALTER TABLE [dbo].[ChangePaymentTypeMaps] ADD CONSTRAINT [PK_dbo.ChangePaymentTypeMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_ChangePaymentTypeId] on [dbo].[ChangePaymentTypeMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_ChangePaymentTypeId] ON [dbo].[ChangePaymentTypeMaps] ([ChangePaymentTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Accounts]'
GO
CREATE TABLE [dbo].[Accounts]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[AccountTypeId] [int] NOT NULL,
[ForeignCurrencyId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Accounts] on [dbo].[Accounts]'
GO
ALTER TABLE [dbo].[Accounts] ADD CONSTRAINT [PK_dbo.Accounts] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[WarehouseConsumptions]'
GO
CREATE TABLE [dbo].[WarehouseConsumptions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[PeriodicConsumptionId] [int] NOT NULL,
[WarehouseId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.WarehouseConsumptions] on [dbo].[WarehouseConsumptions]'
GO
ALTER TABLE [dbo].[WarehouseConsumptions] ADD CONSTRAINT [PK_dbo.WarehouseConsumptions] PRIMARY KEY CLUSTERED  ([Id], [PeriodicConsumptionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_PeriodicConsumptionId] on [dbo].[WarehouseConsumptions]'
GO
CREATE NONCLUSTERED INDEX [IX_PeriodicConsumptionId] ON [dbo].[WarehouseConsumptions] ([PeriodicConsumptionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[CostItems]'
GO
CREATE TABLE [dbo].[CostItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[WarehouseConsumptionId] [int] NOT NULL,
[PeriodicConsumptionId] [int] NOT NULL,
[MenuItemId] [int] NOT NULL,
[PortionId] [int] NOT NULL,
[PortionName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Quantity] [decimal] (16, 3) NOT NULL,
[CostPrediction] [decimal] (16, 2) NOT NULL,
[Cost] [decimal] (16, 2) NOT NULL,
[AvgPrice] [decimal] (16, 2) NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.CostItems] on [dbo].[CostItems]'
GO
ALTER TABLE [dbo].[CostItems] ADD CONSTRAINT [PK_dbo.CostItems] PRIMARY KEY CLUSTERED  ([Id], [WarehouseConsumptionId], [PeriodicConsumptionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_WarehouseConsumptionId_PeriodicConsumptionId] on [dbo].[CostItems]'
GO
CREATE NONCLUSTERED INDEX [IX_WarehouseConsumptionId_PeriodicConsumptionId] ON [dbo].[CostItems] ([WarehouseConsumptionId], [PeriodicConsumptionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityTypes]'
GO
CREATE TABLE [dbo].[EntityTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[EntityName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AccountTypeId] [int] NOT NULL,
[WarehouseTypeId] [int] NOT NULL,
[AccountNameTemplate] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PrimaryFieldName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PrimaryFieldFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DisplayFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AccountBalanceDisplayFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DefaultStates] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityTypes] on [dbo].[EntityTypes]'
GO
ALTER TABLE [dbo].[EntityTypes] ADD CONSTRAINT [PK_dbo.EntityTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityCustomFields]'
GO
CREATE TABLE [dbo].[EntityCustomFields]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityTypeId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FieldType] [int] NOT NULL,
[EditingFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ValueSource] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Hidden] [bit] NOT NULL,
[DefaultValue] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MaskType] [int] NOT NULL,
[ValueMappings] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityCustomFields] on [dbo].[EntityCustomFields]'
GO
ALTER TABLE [dbo].[EntityCustomFields] ADD CONSTRAINT [PK_dbo.EntityCustomFields] PRIMARY KEY CLUSTERED  ([Id], [EntityTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_EntityTypeId] on [dbo].[EntityCustomFields]'
GO
CREATE NONCLUSTERED INDEX [IX_EntityTypeId] ON [dbo].[EntityCustomFields] ([EntityTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityScreens]'
GO
CREATE TABLE [dbo].[EntityScreens]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketTypeId] [int] NOT NULL,
[EntityTypeId] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[DisplayMode] [int] NOT NULL,
[BackgroundColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[BackgroundImage] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FontSize] [int] NOT NULL,
[ButtonFontSize] [int] NOT NULL,
[PageCount] [int] NOT NULL,
[RowCount] [int] NOT NULL,
[ColumnCount] [int] NOT NULL,
[ButtonHeight] [int] NOT NULL,
[DisplayState] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[StateFilter] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AskTicketType] [bit] NOT NULL,
[SearchValueReplacePattern] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[UseStateDisplayFormat] [bit] NOT NULL,
[DetailTemplate] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Layout] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ButtonHeader] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DeferAutoUpdatesDuration] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityScreens] on [dbo].[EntityScreens]'
GO
ALTER TABLE [dbo].[EntityScreens] ADD CONSTRAINT [PK_dbo.EntityScreens] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityScreenItems]'
GO
CREATE TABLE [dbo].[EntityScreenItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityScreenId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EntityId] [int] NOT NULL,
[EntityState] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[LastUpdateTime] [datetime] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityScreenItems] on [dbo].[EntityScreenItems]'
GO
ALTER TABLE [dbo].[EntityScreenItems] ADD CONSTRAINT [PK_dbo.EntityScreenItems] PRIMARY KEY CLUSTERED  ([Id], [EntityScreenId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_EntityScreenId] on [dbo].[EntityScreenItems]'
GO
CREATE NONCLUSTERED INDEX [IX_EntityScreenId] ON [dbo].[EntityScreenItems] ([EntityScreenId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityScreenMaps]'
GO
CREATE TABLE [dbo].[EntityScreenMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityScreenId] [int] NOT NULL,
[Visibility] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityScreenMaps] on [dbo].[EntityScreenMaps]'
GO
ALTER TABLE [dbo].[EntityScreenMaps] ADD CONSTRAINT [PK_dbo.EntityScreenMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_EntityScreenId] on [dbo].[EntityScreenMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_EntityScreenId] ON [dbo].[EntityScreenMaps] ([EntityScreenId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Entities]'
GO
CREATE TABLE [dbo].[Entities]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityTypeId] [int] NOT NULL,
[LastUpdateTime] [datetime] NOT NULL,
[SearchString] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CustomData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Notes] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AccountId] [int] NOT NULL,
[WarehouseId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Entities] on [dbo].[Entities]'
GO
ALTER TABLE [dbo].[Entities] ADD CONSTRAINT [PK_dbo.Entities] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Entities_EntityTypeId] on [dbo].[Entities]'
GO
CREATE NONCLUSTERED INDEX [IX_Entities_EntityTypeId] ON [dbo].[Entities] ([EntityTypeId]) INCLUDE ([LastUpdateTime], [SearchString], [CustomData], [AccountId], [WarehouseId], [Name], [Notes])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityStateLogs]'
GO
CREATE TABLE [dbo].[EntityStateLogs]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityId] [int] NOT NULL,
[StateName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[StartState] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[StartStateDate] [datetime] NOT NULL,
[EndState] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EndStateDate] [datetime] NOT NULL,
[CustomData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityStateLogs] on [dbo].[EntityStateLogs]'
GO
ALTER TABLE [dbo].[EntityStateLogs] ADD CONSTRAINT [PK_dbo.EntityStateLogs] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_EntityId] on [dbo].[EntityStateLogs]'
GO
CREATE NONCLUSTERED INDEX [IX_EntityId] ON [dbo].[EntityStateLogs] ([EntityId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TicketTypes]'
GO
CREATE TABLE [dbo].[TicketTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ScreenMenuId] [int] NOT NULL,
[TaxIncluded] [bit] NOT NULL,
[PreOrder] [bit] NOT NULL,
[AllowZeroPricedProducts] [bit] NOT NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[OrderNumerator_Id] [int] NULL,
[SaleTransactionType_Id] [int] NULL,
[TicketNumerator_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TicketTypes] on [dbo].[TicketTypes]'
GO
ALTER TABLE [dbo].[TicketTypes] ADD CONSTRAINT [PK_dbo.TicketTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_OrderNumerator_Id] on [dbo].[TicketTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_OrderNumerator_Id] ON [dbo].[TicketTypes] ([OrderNumerator_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_SaleTransactionType_Id] on [dbo].[TicketTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_SaleTransactionType_Id] ON [dbo].[TicketTypes] ([SaleTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketNumerator_Id] on [dbo].[TicketTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketNumerator_Id] ON [dbo].[TicketTypes] ([TicketNumerator_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityTypeAssignments]'
GO
CREATE TABLE [dbo].[EntityTypeAssignments]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketTypeId] [int] NOT NULL,
[EntityTypeId] [int] NOT NULL,
[EntityTypeName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AskBeforeCreatingTicket] [bit] NOT NULL,
[State] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CopyToNewTickets] [bit] NOT NULL,
[SortOrder] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityTypeAssignments] on [dbo].[EntityTypeAssignments]'
GO
ALTER TABLE [dbo].[EntityTypeAssignments] ADD CONSTRAINT [PK_dbo.EntityTypeAssignments] PRIMARY KEY CLUSTERED  ([Id], [TicketTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketTypeId] on [dbo].[EntityTypeAssignments]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketTypeId] ON [dbo].[EntityTypeAssignments] ([TicketTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[InventoryItems]'
GO
CREATE TABLE [dbo].[InventoryItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Barcode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[GroupCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[WarehouseCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[BaseUnit] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TransactionUnit] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TransactionUnitMultiplier] [int] NOT NULL,
[Warehouse] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DefaultBaseUnitCost] [decimal] (16, 2) NOT NULL,
[DefaultTransactionUnitCost] [decimal] (16, 2) NOT NULL,
[ForeignCurrencyId] [int] NOT NULL,
[CustomTags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.InventoryItems] on [dbo].[InventoryItems]'
GO
ALTER TABLE [dbo].[InventoryItems] ADD CONSTRAINT [PK_dbo.InventoryItems] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[InventoryItemUnits]'
GO
CREATE TABLE [dbo].[InventoryItemUnits]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[InventoryItemId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Multiplier] [int] NOT NULL,
[ParentUnitName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ParentUnitMultiplier] [int] NOT NULL,
[DefaultCost] [decimal] (16, 2) NOT NULL,
[IsDefaultTransactionUnit] [bit] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.InventoryItemUnits] on [dbo].[InventoryItemUnits]'
GO
ALTER TABLE [dbo].[InventoryItemUnits] ADD CONSTRAINT [PK_dbo.InventoryItemUnits] PRIMARY KEY CLUSTERED  ([Id], [InventoryItemId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_InventoryItemId] on [dbo].[InventoryItemUnits]'
GO
CREATE NONCLUSTERED INDEX [IX_InventoryItemId] ON [dbo].[InventoryItemUnits] ([InventoryItemId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[InventoryTransactionDocuments]'
GO
CREATE TABLE [dbo].[InventoryTransactionDocuments]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Date] [datetime] NOT NULL,
[InventoryDocumentTransactionTypeId] [int] NOT NULL,
[TransactionAccountTransactionTypeId] [int] NOT NULL,
[AccountTypeId] [int] NOT NULL,
[AccountId] [int] NOT NULL,
[Description] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ForeignCurrencyId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AccountTransactionDocument_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.InventoryTransactionDocuments] on [dbo].[InventoryTransactionDocuments]'
GO
ALTER TABLE [dbo].[InventoryTransactionDocuments] ADD CONSTRAINT [PK_dbo.InventoryTransactionDocuments] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionDocument_Id] on [dbo].[InventoryTransactionDocuments]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionDocument_Id] ON [dbo].[InventoryTransactionDocuments] ([AccountTransactionDocument_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[InventoryTransactionDocumentTypes]'
GO
CREATE TABLE [dbo].[InventoryTransactionDocumentTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityTypeId] [int] NOT NULL,
[DefaultEntityId] [int] NOT NULL,
[ButtonHeader] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AccountTransactionType_Id] [int] NULL,
[InventoryTransactionType_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.InventoryTransactionDocumentTypes] on [dbo].[InventoryTransactionDocumentTypes]'
GO
ALTER TABLE [dbo].[InventoryTransactionDocumentTypes] ADD CONSTRAINT [PK_dbo.InventoryTransactionDocumentTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionType_Id] on [dbo].[InventoryTransactionDocumentTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionType_Id] ON [dbo].[InventoryTransactionDocumentTypes] ([AccountTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_InventoryTransactionType_Id] on [dbo].[InventoryTransactionDocumentTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_InventoryTransactionType_Id] ON [dbo].[InventoryTransactionDocumentTypes] ([InventoryTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[InventoryTransactionTypes]'
GO
CREATE TABLE [dbo].[InventoryTransactionTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SourceWarehouseTypeId] [int] NOT NULL,
[TargetWarehouseTypeId] [int] NOT NULL,
[DefaultSourceWarehouseId] [int] NOT NULL,
[DefaultTargetWarehouseId] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.InventoryTransactionTypes] on [dbo].[InventoryTransactionTypes]'
GO
ALTER TABLE [dbo].[InventoryTransactionTypes] ADD CONSTRAINT [PK_dbo.InventoryTransactionTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[InventoryTransactions]'
GO
CREATE TABLE [dbo].[InventoryTransactions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[InventoryTransactionDocumentId] [int] NOT NULL,
[InventoryTransactionTypeId] [int] NOT NULL,
[SourceWarehouseId] [int] NOT NULL,
[TargetWarehouseId] [int] NOT NULL,
[Date] [datetime] NOT NULL,
[Unit] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Multiplier] [int] NOT NULL,
[Quantity] [decimal] (16, 3) NOT NULL,
[TotalPrice] [decimal] (16, 2) NOT NULL,
[ExchangeRate] [decimal] (16, 10) NOT NULL,
[InventoryItem_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.InventoryTransactions] on [dbo].[InventoryTransactions]'
GO
ALTER TABLE [dbo].[InventoryTransactions] ADD CONSTRAINT [PK_dbo.InventoryTransactions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_InventoryItem_Id] on [dbo].[InventoryTransactions]'
GO
CREATE NONCLUSTERED INDEX [IX_InventoryItem_Id] ON [dbo].[InventoryTransactions] ([InventoryItem_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_InventoryTransactionDocumentId] on [dbo].[InventoryTransactions]'
GO
CREATE NONCLUSTERED INDEX [IX_InventoryTransactionDocumentId] ON [dbo].[InventoryTransactions] ([InventoryTransactionDocumentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[MenuAssignments]'
GO
CREATE TABLE [dbo].[MenuAssignments]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketTypeId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[MenuId] [int] NOT NULL,
[TerminalName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.MenuAssignments] on [dbo].[MenuAssignments]'
GO
ALTER TABLE [dbo].[MenuAssignments] ADD CONSTRAINT [PK_dbo.MenuAssignments] PRIMARY KEY CLUSTERED  ([Id], [TicketTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketTypeId] on [dbo].[MenuAssignments]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketTypeId] ON [dbo].[MenuAssignments] ([TicketTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[MenuItems]'
GO
CREATE TABLE [dbo].[MenuItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[GroupCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Barcode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Tag] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CustomTags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ItemType] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.MenuItems] on [dbo].[MenuItems]'
GO
ALTER TABLE [dbo].[MenuItems] ADD CONSTRAINT [PK_dbo.MenuItems] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[MenuItemPortions]'
GO
CREATE TABLE [dbo].[MenuItemPortions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MenuItemId] [int] NOT NULL,
[Multiplier] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.MenuItemPortions] on [dbo].[MenuItemPortions]'
GO
ALTER TABLE [dbo].[MenuItemPortions] ADD CONSTRAINT [PK_dbo.MenuItemPortions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_MenuItemId] on [dbo].[MenuItemPortions]'
GO
CREATE NONCLUSTERED INDEX [IX_MenuItemId] ON [dbo].[MenuItemPortions] ([MenuItemId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[MenuItemPrices]'
GO
CREATE TABLE [dbo].[MenuItemPrices]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[MenuItemPortionId] [int] NOT NULL,
[PriceTag] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Price] [decimal] (16, 2) NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.MenuItemPrices] on [dbo].[MenuItemPrices]'
GO
ALTER TABLE [dbo].[MenuItemPrices] ADD CONSTRAINT [PK_dbo.MenuItemPrices] PRIMARY KEY CLUSTERED  ([Id], [MenuItemPortionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_MenuItemPortionId] on [dbo].[MenuItemPrices]'
GO
CREATE NONCLUSTERED INDEX [IX_MenuItemPortionId] ON [dbo].[MenuItemPrices] ([MenuItemPortionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ProductTimerValues]'
GO
CREATE TABLE [dbo].[ProductTimerValues]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ProductTimerId] [int] NOT NULL,
[PriceType] [int] NOT NULL,
[PriceDuration] [decimal] (16, 2) NOT NULL,
[MinTime] [decimal] (16, 2) NOT NULL,
[TimeRounding] [decimal] (16, 2) NOT NULL,
[Start] [datetime] NOT NULL,
[End] [datetime] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ProductTimerValues] on [dbo].[ProductTimerValues]'
GO
ALTER TABLE [dbo].[ProductTimerValues] ADD CONSTRAINT [PK_dbo.ProductTimerValues] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Orders]'
GO
CREATE TABLE [dbo].[Orders]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketId] [int] NOT NULL,
[WarehouseId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[MenuItemId] [int] NOT NULL,
[MenuItemName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PortionName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Price] [decimal] (16, 2) NOT NULL,
[Quantity] [decimal] (16, 3) NOT NULL,
[PortionCount] [int] NOT NULL,
[Locked] [bit] NOT NULL,
[CalculatePrice] [bit] NOT NULL,
[DecreaseInventory] [bit] NOT NULL,
[IncreaseInventory] [bit] NOT NULL,
[OrderNumber] [int] NOT NULL,
[CreatingUserName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CreatedDateTime] [datetime] NOT NULL,
[LastUpdateDateTime] [datetime] NOT NULL,
[AccountTransactionTypeId] [int] NOT NULL,
[ProductTimerValueId] [int] NULL,
[GroupTagName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[GroupTagFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Separator] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PriceTag] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Tag] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DisablePortionSelection] [bit] NOT NULL,
[OrderUid] [nvarchar] (128) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Taxes] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[OrderTags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[OrderStates] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Orders] on [dbo].[Orders]'
GO
ALTER TABLE [dbo].[Orders] ADD CONSTRAINT [PK_dbo.Orders] PRIMARY KEY CLUSTERED  ([Id], [TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_ProductTimerValueId] on [dbo].[Orders]'
GO
CREATE NONCLUSTERED INDEX [IX_ProductTimerValueId] ON [dbo].[Orders] ([ProductTimerValueId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketId] on [dbo].[Orders]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketId] ON [dbo].[Orders] ([TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_ORDERS_TicketId_Id_ProductTimerValueId] on [dbo].[Orders]'
GO
CREATE NONCLUSTERED INDEX [IX_ORDERS_TicketId_Id_ProductTimerValueId] ON [dbo].[Orders] ([TicketId], [Id], [ProductTimerValueId]) INCLUDE ([WarehouseId], [DepartmentId], [MenuItemId], [MenuItemName], [PortionName], [Price], [Quantity], [PortionCount], [Locked], [CalculatePrice], [DecreaseInventory], [IncreaseInventory], [OrderNumber], [CreatingUserName], [CreatedDateTime], [AccountTransactionTypeId], [PriceTag], [Tag], [Taxes], [OrderTags], [OrderStates], [TerminalId], [LastUpdateDateTime], [GroupTagName], [GroupTagFormat], [Separator], [OrderUid], [DisablePortionSelection])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[OrderTagGroups]'
GO
CREATE TABLE [dbo].[OrderTagGroups]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[ColumnCount] [int] NOT NULL,
[ButtonHeight] [int] NOT NULL,
[FontSize] [int] NOT NULL,
[ButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MaxSelectedItems] [int] NOT NULL,
[MinSelectedItems] [int] NOT NULL,
[AddTagPriceToOrderPrice] [bit] NOT NULL,
[FreeTagging] [bit] NOT NULL,
[SaveFreeTags] [bit] NOT NULL,
[SelectAsOrderCount] [bit] NOT NULL,
[GroupTag] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TaxFree] [bit] NOT NULL,
[Hidden] [bit] NOT NULL,
[Prefixes] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CategoryTags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FreeTagFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TicketDisplayFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.OrderTagGroups] on [dbo].[OrderTagGroups]'
GO
ALTER TABLE [dbo].[OrderTagGroups] ADD CONSTRAINT [PK_dbo.OrderTagGroups] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[OrderTagMaps]'
GO
CREATE TABLE [dbo].[OrderTagMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[OrderTagGroupId] [int] NOT NULL,
[MenuItemGroupCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MenuItemId] [int] NOT NULL,
[PortionName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.OrderTagMaps] on [dbo].[OrderTagMaps]'
GO
ALTER TABLE [dbo].[OrderTagMaps] ADD CONSTRAINT [PK_dbo.OrderTagMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_OrderTagGroupId] on [dbo].[OrderTagMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_OrderTagGroupId] ON [dbo].[OrderTagMaps] ([OrderTagGroupId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[OrderTags]'
GO
CREATE TABLE [dbo].[OrderTags]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[OrderTagGroupId] [int] NOT NULL,
[Price] [decimal] (16, 2) NOT NULL,
[MenuItemId] [int] NOT NULL,
[MaxQuantity] [int] NOT NULL,
[Color] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Filter] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Description] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Rate] [decimal] (16, 2) NOT NULL,
[Amount] [decimal] (16, 2) NOT NULL,
[Header] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.OrderTags] on [dbo].[OrderTags]'
GO
ALTER TABLE [dbo].[OrderTags] ADD CONSTRAINT [PK_dbo.OrderTags] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_OrderTagGroupId] on [dbo].[OrderTags]'
GO
CREATE NONCLUSTERED INDEX [IX_OrderTagGroupId] ON [dbo].[OrderTags] ([OrderTagGroupId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PaidItems]'
GO
CREATE TABLE [dbo].[PaidItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketId] [int] NOT NULL,
[Key] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Quantity] [decimal] (16, 3) NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PaidItems] on [dbo].[PaidItems]'
GO
ALTER TABLE [dbo].[PaidItems] ADD CONSTRAINT [PK_dbo.PaidItems] PRIMARY KEY CLUSTERED  ([Id], [TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketId] on [dbo].[PaidItems]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketId] ON [dbo].[PaidItems] ([TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Payments]'
GO
CREATE TABLE [dbo].[Payments]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketId] [int] NOT NULL,
[PaymentTypeId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Description] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Date] [datetime] NOT NULL,
[AccountTransactionId] [int] NOT NULL,
[Amount] [decimal] (16, 2) NOT NULL,
[TenderedAmount] [decimal] (16, 2) NOT NULL,
[UserId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[ExchangeRate] [decimal] (16, 10) NOT NULL,
[PaymentData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[OpState] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CanAdjustTip] [bit] NOT NULL,
[AccountTransaction_Id] [int] NULL,
[AccountTransaction_AccountTransactionDocumentId] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Payments] on [dbo].[Payments]'
GO
ALTER TABLE [dbo].[Payments] ADD CONSTRAINT [PK_dbo.Payments] PRIMARY KEY CLUSTERED  ([Id], [TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransaction_Id_AccountTransaction_AccountTransactionDocumentId] on [dbo].[Payments]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransaction_Id_AccountTransaction_AccountTransactionDocumentId] ON [dbo].[Payments] ([AccountTransaction_Id], [AccountTransaction_AccountTransactionDocumentId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketId] on [dbo].[Payments]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketId] ON [dbo].[Payments] ([TicketId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Payments_TicketId_Id] on [dbo].[Payments]'
GO
CREATE NONCLUSTERED INDEX [IX_Payments_TicketId_Id] ON [dbo].[Payments] ([TicketId], [Id]) INCLUDE ([PaymentTypeId], [DepartmentId], [Name], [Description], [Date], [AccountTransactionId], [Amount], [TenderedAmount], [UserId], [TerminalId], [ExchangeRate])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PaymentTypes]'
GO
CREATE TABLE [dbo].[PaymentTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[ButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FontSize] [int] NOT NULL,
[OrderStateName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[OrderStateValue] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ProcessorSettings] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ButtonHeader] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Account_Id] [int] NULL,
[AccountTransactionType_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PaymentTypes] on [dbo].[PaymentTypes]'
GO
ALTER TABLE [dbo].[PaymentTypes] ADD CONSTRAINT [PK_dbo.PaymentTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Account_Id] on [dbo].[PaymentTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_Account_Id] ON [dbo].[PaymentTypes] ([Account_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionType_Id] on [dbo].[PaymentTypes]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionType_Id] ON [dbo].[PaymentTypes] ([AccountTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PaymentTypeMaps]'
GO
CREATE TABLE [dbo].[PaymentTypeMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[PaymentTypeId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PaymentTypeMaps] on [dbo].[PaymentTypeMaps]'
GO
ALTER TABLE [dbo].[PaymentTypeMaps] ADD CONSTRAINT [PK_dbo.PaymentTypeMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_PaymentTypeId] on [dbo].[PaymentTypeMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_PaymentTypeId] ON [dbo].[PaymentTypeMaps] ([PaymentTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PeriodicConsumptionItems]'
GO
CREATE TABLE [dbo].[PeriodicConsumptionItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[WarehouseConsumptionId] [int] NOT NULL,
[PeriodicConsumptionId] [int] NOT NULL,
[InventoryItemId] [int] NOT NULL,
[InventoryItemName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[UnitName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[UnitMultiplier] [decimal] (16, 3) NOT NULL,
[InStock] [decimal] (16, 3) NOT NULL,
[Added] [decimal] (16, 3) NOT NULL,
[Removed] [decimal] (16, 3) NOT NULL,
[Consumption] [decimal] (16, 3) NOT NULL,
[PhysicalInventory] [decimal] (16, 3) NULL,
[Cost] [decimal] (16, 2) NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PeriodicConsumptionItems] on [dbo].[PeriodicConsumptionItems]'
GO
ALTER TABLE [dbo].[PeriodicConsumptionItems] ADD CONSTRAINT [PK_dbo.PeriodicConsumptionItems] PRIMARY KEY CLUSTERED  ([Id], [WarehouseConsumptionId], [PeriodicConsumptionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_WarehouseConsumptionId_PeriodicConsumptionId] on [dbo].[PeriodicConsumptionItems]'
GO
CREATE NONCLUSTERED INDEX [IX_WarehouseConsumptionId_PeriodicConsumptionId] ON [dbo].[PeriodicConsumptionItems] ([WarehouseConsumptionId], [PeriodicConsumptionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[UserRoles]'
GO
CREATE TABLE [dbo].[UserRoles]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[IsAdmin] [bit] NOT NULL,
[DepartmentId] [int] NOT NULL,
[ManagementCommands] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.UserRoles] on [dbo].[UserRoles]'
GO
ALTER TABLE [dbo].[UserRoles] ADD CONSTRAINT [PK_dbo.UserRoles] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Permissions]'
GO
CREATE TABLE [dbo].[Permissions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Value] [int] NOT NULL,
[UserRoleId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Permissions] on [dbo].[Permissions]'
GO
ALTER TABLE [dbo].[Permissions] ADD CONSTRAINT [PK_dbo.Permissions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_UserRoleId] on [dbo].[Permissions]'
GO
CREATE NONCLUSTERED INDEX [IX_UserRoleId] ON [dbo].[Permissions] ([UserRoleId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PrintJobs]'
GO
CREATE TABLE [dbo].[PrintJobs]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[WhatToPrint] [int] NOT NULL,
[ExcludeTax] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PrintJobs] on [dbo].[PrintJobs]'
GO
ALTER TABLE [dbo].[PrintJobs] ADD CONSTRAINT [PK_dbo.PrintJobs] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PrinterMaps]'
GO
CREATE TABLE [dbo].[PrinterMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[PrintJobId] [int] NOT NULL,
[MenuItemGroupCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MenuItemId] [int] NOT NULL,
[PrinterId] [int] NOT NULL,
[PrinterTemplateId] [int] NOT NULL,
[TerminalName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ProductTags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DepartmentId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PrinterMaps] on [dbo].[PrinterMaps]'
GO
ALTER TABLE [dbo].[PrinterMaps] ADD CONSTRAINT [PK_dbo.PrinterMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_PrintJobId] on [dbo].[PrinterMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_PrintJobId] ON [dbo].[PrinterMaps] ([PrintJobId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ProductTimers]'
GO
CREATE TABLE [dbo].[ProductTimers]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[PriceType] [int] NOT NULL,
[PriceDuration] [decimal] (16, 2) NOT NULL,
[MinTime] [decimal] (16, 2) NOT NULL,
[TimeRounding] [decimal] (16, 2) NOT NULL,
[StartTime] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ProductTimers] on [dbo].[ProductTimers]'
GO
ALTER TABLE [dbo].[ProductTimers] ADD CONSTRAINT [PK_dbo.ProductTimers] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ProductTimerMaps]'
GO
CREATE TABLE [dbo].[ProductTimerMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ProductTimerId] [int] NOT NULL,
[MenuItemGroupCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MenuItemId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ProductTimerMaps] on [dbo].[ProductTimerMaps]'
GO
ALTER TABLE [dbo].[ProductTimerMaps] ADD CONSTRAINT [PK_dbo.ProductTimerMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_ProductTimerId] on [dbo].[ProductTimerMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_ProductTimerId] ON [dbo].[ProductTimerMaps] ([ProductTimerId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[RecipeItems]'
GO
CREATE TABLE [dbo].[RecipeItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[RecipeId] [int] NOT NULL,
[OrderTag] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Quantity] [decimal] (16, 3) NOT NULL,
[ItemType] [int] NOT NULL,
[InventoryItem_Id] [int] NULL,
[MenuItemPortion_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.RecipeItems] on [dbo].[RecipeItems]'
GO
ALTER TABLE [dbo].[RecipeItems] ADD CONSTRAINT [PK_dbo.RecipeItems] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_InventoryItem_Id] on [dbo].[RecipeItems]'
GO
CREATE NONCLUSTERED INDEX [IX_InventoryItem_Id] ON [dbo].[RecipeItems] ([InventoryItem_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_MenuItemPortion_Id] on [dbo].[RecipeItems]'
GO
CREATE NONCLUSTERED INDEX [IX_MenuItemPortion_Id] ON [dbo].[RecipeItems] ([MenuItemPortion_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_RecipeId] on [dbo].[RecipeItems]'
GO
CREATE NONCLUSTERED INDEX [IX_RecipeId] ON [dbo].[RecipeItems] ([RecipeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Recipes]'
GO
CREATE TABLE [dbo].[Recipes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[PortionId] [int] NOT NULL,
[FixedCost] [decimal] (16, 2) NOT NULL,
[GroupCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Recipes] on [dbo].[Recipes]'
GO
ALTER TABLE [dbo].[Recipes] ADD CONSTRAINT [PK_dbo.Recipes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_PortionId] on [dbo].[Recipes]'
GO
CREATE NONCLUSTERED INDEX [IX_PortionId] ON [dbo].[Recipes] ([PortionId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ScreenMenus]'
GO
CREATE TABLE [dbo].[ScreenMenus]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[CategoryColumnCount] [int] NOT NULL,
[CategoryColumnWidthRate] [int] NOT NULL,
[SelectedCategoryFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SelectedSubCategoryFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ScreenMenus] on [dbo].[ScreenMenus]'
GO
ALTER TABLE [dbo].[ScreenMenus] ADD CONSTRAINT [PK_dbo.ScreenMenus] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ScreenMenuCategories]'
GO
CREATE TABLE [dbo].[ScreenMenuCategories]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Header] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Appearance] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[ScreenMenuId] [int] NOT NULL,
[MostUsedItemsCategory] [bit] NOT NULL,
[ColumnCount] [int] NOT NULL,
[MenuItemButtonHeight] [int] NOT NULL,
[MenuItemButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MenuItemFontSize] [float] NOT NULL,
[WrapText] [bit] NOT NULL,
[PageCount] [int] NOT NULL,
[SortAlphabetically] [bit] NOT NULL,
[MainButtonHeight] [int] NOT NULL,
[MainButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MainFontSize] [float] NOT NULL,
[SubButtonHeight] [int] NOT NULL,
[SubButtonRows] [int] NOT NULL,
[SubButtonColorDef] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[NumeratorType] [int] NOT NULL,
[NumeratorValues] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AlphaButtonValues] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ImagePath] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[NumberPadPercent] [int] NOT NULL,
[MaxItems] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ScreenMenuCategories] on [dbo].[ScreenMenuCategories]'
GO
ALTER TABLE [dbo].[ScreenMenuCategories] ADD CONSTRAINT [PK_dbo.ScreenMenuCategories] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_ScreenMenuId] on [dbo].[ScreenMenuCategories]'
GO
CREATE NONCLUSTERED INDEX [IX_ScreenMenuId] ON [dbo].[ScreenMenuCategories] ([ScreenMenuId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ScreenMenuItems]'
GO
CREATE TABLE [dbo].[ScreenMenuItems]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Header] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Appearance] [int] NOT NULL,
[ScreenMenuCategoryId] [int] NOT NULL,
[MenuItemId] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[AutoSelect] [bit] NOT NULL,
[ButtonColor] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Quantity] [int] NOT NULL,
[ImagePath] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FontSize] [float] NOT NULL,
[SubMenuTag] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ItemPortion] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[OrderTags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[OrderStates] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AutomationCommand] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AutomationCommandValue] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DisablePortionSelection] [bit] NOT NULL,
[GroupTag] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ScreenMenuItems] on [dbo].[ScreenMenuItems]'
GO
ALTER TABLE [dbo].[ScreenMenuItems] ADD CONSTRAINT [PK_dbo.ScreenMenuItems] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_ScreenMenuCategoryId] on [dbo].[ScreenMenuItems]'
GO
CREATE NONCLUSTERED INDEX [IX_ScreenMenuCategoryId] ON [dbo].[ScreenMenuItems] ([ScreenMenuCategoryId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TaskTypes]'
GO
CREATE TABLE [dbo].[TaskTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TaskTypes] on [dbo].[TaskTypes]'
GO
ALTER TABLE [dbo].[TaskTypes] ADD CONSTRAINT [PK_dbo.TaskTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TaskCustomFields]'
GO
CREATE TABLE [dbo].[TaskCustomFields]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TaskTypeId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FieldType] [int] NOT NULL,
[EditingFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DisplayFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TaskCustomFields] on [dbo].[TaskCustomFields]'
GO
ALTER TABLE [dbo].[TaskCustomFields] ADD CONSTRAINT [PK_dbo.TaskCustomFields] PRIMARY KEY CLUSTERED  ([Id], [TaskTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TaskTypeId] on [dbo].[TaskCustomFields]'
GO
CREATE NONCLUSTERED INDEX [IX_TaskTypeId] ON [dbo].[TaskCustomFields] ([TaskTypeId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Tasks]'
GO
CREATE TABLE [dbo].[Tasks]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TaskTypeId] [int] NOT NULL,
[Content] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[StartDate] [datetime] NOT NULL,
[EndDate] [datetime] NOT NULL,
[CustomData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Completed] [bit] NOT NULL,
[UserName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Identifier] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[State] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[StateLog] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[LastUpdateTime] [datetime] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Tasks] on [dbo].[Tasks]'
GO
ALTER TABLE [dbo].[Tasks] ADD CONSTRAINT [PK_dbo.Tasks] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Tasks_Completed] on [dbo].[Tasks]'
GO
CREATE NONCLUSTERED INDEX [IX_Tasks_Completed] ON [dbo].[Tasks] ([TaskTypeId], [Completed]) INCLUDE ([Id], [Content], [StartDate], [EndDate], [CustomData], [LastUpdateTime], [Name], [UserName], [Identifier], [State], [StateLog])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TaskTokens]'
GO
CREATE TABLE [dbo].[TaskTokens]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TaskId] [int] NOT NULL,
[Caption] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Value] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Type] [int] NOT NULL,
[ReferenceTypeId] [int] NOT NULL,
[ReferenceId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TaskTokens] on [dbo].[TaskTokens]'
GO
ALTER TABLE [dbo].[TaskTokens] ADD CONSTRAINT [PK_dbo.TaskTokens] PRIMARY KEY CLUSTERED  ([Id], [TaskId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TaskId] on [dbo].[TaskTokens]'
GO
CREATE NONCLUSTERED INDEX [IX_TaskId] ON [dbo].[TaskTokens] ([TaskId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TaxTemplates]'
GO
CREATE TABLE [dbo].[TaxTemplates]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[Rate] [decimal] (16, 2) NOT NULL,
[Rounding] [int] NOT NULL,
[IncludeAllCalculations] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AccountTransactionType_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TaxTemplates] on [dbo].[TaxTemplates]'
GO
ALTER TABLE [dbo].[TaxTemplates] ADD CONSTRAINT [PK_dbo.TaxTemplates] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_AccountTransactionType_Id] on [dbo].[TaxTemplates]'
GO
CREATE NONCLUSTERED INDEX [IX_AccountTransactionType_Id] ON [dbo].[TaxTemplates] ([AccountTransactionType_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TaxTemplateMaps]'
GO
CREATE TABLE [dbo].[TaxTemplateMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TaxTemplateId] [int] NOT NULL,
[MenuItemGroupCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MenuItemId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TaxTemplateMaps] on [dbo].[TaxTemplateMaps]'
GO
ALTER TABLE [dbo].[TaxTemplateMaps] ADD CONSTRAINT [PK_dbo.TaxTemplateMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TaxTemplateId] on [dbo].[TaxTemplateMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_TaxTemplateId] ON [dbo].[TaxTemplateMaps] ([TaxTemplateId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TicketEntities]'
GO
CREATE TABLE [dbo].[TicketEntities]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityTypeId] [int] NOT NULL,
[EntityId] [int] NOT NULL,
[AccountId] [int] NOT NULL,
[AccountTypeId] [int] NOT NULL,
[EntityName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EntityCustomData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Notes] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Ticket_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TicketEntities] on [dbo].[TicketEntities]'
GO
ALTER TABLE [dbo].[TicketEntities] ADD CONSTRAINT [PK_dbo.TicketEntities] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketEntities_TicketId] on [dbo].[TicketEntities]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketEntities_TicketId] ON [dbo].[TicketEntities] ([EntityId], [Ticket_Id], [Id]) INCLUDE ([EntityTypeId], [AccountId], [AccountTypeId], [EntityName], [EntityCustomData], [Notes])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Ticket_Id] on [dbo].[TicketEntities]'
GO
CREATE NONCLUSTERED INDEX [IX_Ticket_Id] ON [dbo].[TicketEntities] ([Ticket_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TicketTagGroups]'
GO
CREATE TABLE [dbo].[TicketTagGroups]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[FreeTagging] [bit] NOT NULL,
[SaveFreeTags] [bit] NOT NULL,
[ButtonColorWhenTagSelected] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ButtonColorWhenNoTagSelected] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ForceValue] [bit] NOT NULL,
[AskBeforeCreatingTicket] [bit] NOT NULL,
[DataType] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TicketTagGroups] on [dbo].[TicketTagGroups]'
GO
ALTER TABLE [dbo].[TicketTagGroups] ADD CONSTRAINT [PK_dbo.TicketTagGroups] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TicketTagMaps]'
GO
CREATE TABLE [dbo].[TicketTagMaps]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketTagGroupId] [int] NOT NULL,
[TerminalId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[UserRoleId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TicketTagMaps] on [dbo].[TicketTagMaps]'
GO
ALTER TABLE [dbo].[TicketTagMaps] ADD CONSTRAINT [PK_dbo.TicketTagMaps] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketTagGroupId] on [dbo].[TicketTagMaps]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketTagGroupId] ON [dbo].[TicketTagMaps] ([TicketTagGroupId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TicketTags]'
GO
CREATE TABLE [dbo].[TicketTags]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketTagGroupId] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TicketTags] on [dbo].[TicketTags]'
GO
ALTER TABLE [dbo].[TicketTags] ADD CONSTRAINT [PK_dbo.TicketTags] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_TicketTagGroupId] on [dbo].[TicketTags]'
GO
CREATE NONCLUSTERED INDEX [IX_TicketTagGroupId] ON [dbo].[TicketTags] ([TicketTagGroupId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Numerators]'
GO
CREATE TABLE [dbo].[Numerators]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[LastUpdateTime] [timestamp] NOT NULL,
[Number] [int] NOT NULL,
[NumberFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Numerators] on [dbo].[Numerators]'
GO
ALTER TABLE [dbo].[Numerators] ADD CONSTRAINT [PK_dbo.Numerators] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Terminals]'
GO
CREATE TABLE [dbo].[Terminals]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[IsDefault] [bit] NOT NULL,
[AutoLogout] [bit] NOT NULL,
[ReportPrinterId] [int] NOT NULL,
[TransactionPrinterId] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Terminals] on [dbo].[Terminals]'
GO
ALTER TABLE [dbo].[Terminals] ADD CONSTRAINT [PK_dbo.Terminals] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Users]'
GO
CREATE TABLE [dbo].[Users]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[PinCode] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Password] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EmployeeId] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FirstName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[LastName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Email] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MobileNumber] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EmployeeType] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TimeClockUser] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Terminal_Id] [int] NULL,
[UserRole_Id] [int] NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Users] on [dbo].[Users]'
GO
ALTER TABLE [dbo].[Users] ADD CONSTRAINT [PK_dbo.Users] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_Terminal_Id] on [dbo].[Users]'
GO
CREATE NONCLUSTERED INDEX [IX_Terminal_Id] ON [dbo].[Users] ([Terminal_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_UserRole_Id] on [dbo].[Users]'
GO
CREATE NONCLUSTERED INDEX [IX_UserRole_Id] ON [dbo].[Users] ([UserRole_Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PeriodicConsumptions]'
GO
CREATE TABLE [dbo].[PeriodicConsumptions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[WorkPeriodId] [int] NOT NULL,
[StartDate] [datetime] NOT NULL,
[EndDate] [datetime] NOT NULL,
[LastUpdateTime] [datetime] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PeriodicConsumptions] on [dbo].[PeriodicConsumptions]'
GO
ALTER TABLE [dbo].[PeriodicConsumptions] ADD CONSTRAINT [PK_dbo.PeriodicConsumptions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Widgets]'
GO
CREATE TABLE [dbo].[Widgets]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[UniqueId] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EntityScreenId] [int] NOT NULL,
[XLocation] [int] NOT NULL,
[YLocation] [int] NOT NULL,
[Height] [int] NOT NULL,
[Width] [int] NOT NULL,
[Zindex] [int] NOT NULL,
[CornerRadius] [int] NOT NULL,
[Angle] [float] NOT NULL,
[Scale] [float] NOT NULL,
[Properties] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CreatorName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AutoRefresh] [bit] NOT NULL,
[AutoRefreshInterval] [int] NOT NULL,
[Margin] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SettingData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Widgets] on [dbo].[Widgets]'
GO
ALTER TABLE [dbo].[Widgets] ADD CONSTRAINT [PK_dbo.Widgets] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_EntityScreenId] on [dbo].[Widgets]'
GO
CREATE NONCLUSTERED INDEX [IX_EntityScreenId] ON [dbo].[Widgets] ([EntityScreenId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AccountTypes]'
GO
CREATE TABLE [dbo].[AccountTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[DefaultFilterType] [int] NOT NULL,
[WorkingRule] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[Tags] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AccountTypes] on [dbo].[AccountTypes]'
GO
ALTER TABLE [dbo].[AccountTypes] ADD CONSTRAINT [PK_dbo.AccountTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AddonLicenses]'
GO
CREATE TABLE [dbo].[AddonLicenses]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Key] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AddonLicenses] on [dbo].[AddonLicenses]'
GO
ALTER TABLE [dbo].[AddonLicenses] ADD CONSTRAINT [PK_dbo.AddonLicenses] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AppActions]'
GO
CREATE TABLE [dbo].[AppActions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ActionType] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Parameter] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AppActions] on [dbo].[AppActions]'
GO
ALTER TABLE [dbo].[AppActions] ADD CONSTRAINT [PK_dbo.AppActions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ArchivedTseTransactions]'
GO
CREATE TABLE [dbo].[ArchivedTseTransactions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketId] [int] NOT NULL,
[ProcessType] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[State] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[IsRecorded] [int] NOT NULL,
[TransactionNumber] [int] NOT NULL,
[RevisionId] [int] NOT NULL,
[RequestData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ResponseData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TransactionId] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ArchivedTseTransactions] on [dbo].[ArchivedTseTransactions]'
GO
ALTER TABLE [dbo].[ArchivedTseTransactions] ADD CONSTRAINT [PK_dbo.ArchivedTseTransactions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[AutoConfigurationTasks]'
GO
CREATE TABLE [dbo].[AutoConfigurationTasks]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Description] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Language] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CreateBackup] [bit] NOT NULL,
[TaskData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.AutoConfigurationTasks] on [dbo].[AutoConfigurationTasks]'
GO
ALTER TABLE [dbo].[AutoConfigurationTasks] ADD CONSTRAINT [PK_dbo.AutoConfigurationTasks] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[CustomReports]'
GO
CREATE TABLE [dbo].[CustomReports]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ReportType] [int] NOT NULL,
[Template] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PageSize] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Layouts] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[DisplayInExplorer] [bit] NOT NULL,
[VisualPrint] [bit] NOT NULL,
[DisplayMetrik] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.CustomReports] on [dbo].[CustomReports]'
GO
ALTER TABLE [dbo].[CustomReports] ADD CONSTRAINT [PK_dbo.CustomReports] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[DataExports]'
GO
CREATE TABLE [dbo].[DataExports]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Template] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[FileName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[SortOrder] [int] NOT NULL,
[DisplayInExplorer] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.DataExports] on [dbo].[DataExports]'
GO
ALTER TABLE [dbo].[DataExports] ADD CONSTRAINT [PK_dbo.DataExports] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Departments]'
GO
CREATE TABLE [dbo].[Departments]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[SortOrder] [int] NOT NULL,
[PriceTag] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[WarehouseId] [int] NOT NULL,
[TicketTypeId] [int] NOT NULL,
[ScreenMenuId] [int] NOT NULL,
[TicketCreationMethod] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Departments] on [dbo].[Departments]'
GO
ALTER TABLE [dbo].[Departments] ADD CONSTRAINT [PK_dbo.Departments] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[EntityStateValues]'
GO
CREATE TABLE [dbo].[EntityStateValues]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[EntityId] [int] NOT NULL,
[EntityStates] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.EntityStateValues] on [dbo].[EntityStateValues]'
GO
ALTER TABLE [dbo].[EntityStateValues] ADD CONSTRAINT [PK_dbo.EntityStateValues] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating index [IX_EntityStateValue_EntityId] on [dbo].[EntityStateValues]'
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_EntityStateValue_EntityId] ON [dbo].[EntityStateValues] ([EntityId])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ForeignCurrencies]'
GO
CREATE TABLE [dbo].[ForeignCurrencies]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[CurrencySymbol] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ExchangeRate] [decimal] (16, 10) NOT NULL,
[Rounding] [decimal] (18, 2) NOT NULL,
[InverseExchangeRate] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ForeignCurrencies] on [dbo].[ForeignCurrencies]'
GO
ALTER TABLE [dbo].[ForeignCurrencies] ADD CONSTRAINT [PK_dbo.ForeignCurrencies] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[GraphqlClients]'
GO
CREATE TABLE [dbo].[GraphqlClients]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Identifier] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Secret] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ApplicationType] [int] NOT NULL,
[Active] [bit] NOT NULL,
[RefreshTokenLifeTime] [int] NOT NULL,
[AllowedOrigin] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AllowedFunctions] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[AuthorizationType] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.GraphqlClients] on [dbo].[GraphqlClients]'
GO
ALTER TABLE [dbo].[GraphqlClients] ADD CONSTRAINT [PK_dbo.GraphqlClients] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[MenuItemPriceDefinitions]'
GO
CREATE TABLE [dbo].[MenuItemPriceDefinitions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[PriceTag] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.MenuItemPriceDefinitions] on [dbo].[MenuItemPriceDefinitions]'
GO
ALTER TABLE [dbo].[MenuItemPriceDefinitions] ADD CONSTRAINT [PK_dbo.MenuItemPriceDefinitions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PaymentLogs]'
GO
CREATE TABLE [dbo].[PaymentLogs]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Date] [datetime] NOT NULL,
[Source] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Stage] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[UserId] [int] NOT NULL,
[AdminId] [int] NOT NULL,
[TicketId] [int] NOT NULL,
[PaymentId] [int] NOT NULL,
[Detail] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PaymentLogs] on [dbo].[PaymentLogs]'
GO
ALTER TABLE [dbo].[PaymentLogs] ADD CONSTRAINT [PK_dbo.PaymentLogs] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[PrinterTemplates]'
GO
CREATE TABLE [dbo].[PrinterTemplates]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Template] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[MergeLinesMethod] [int] NOT NULL,
[SortOrder] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.PrinterTemplates] on [dbo].[PrinterTemplates]'
GO
ALTER TABLE [dbo].[PrinterTemplates] ADD CONSTRAINT [PK_dbo.PrinterTemplates] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Printers]'
GO
CREATE TABLE [dbo].[Printers]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[ShareName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PrinterType] [int] NOT NULL,
[CodePage] [int] NOT NULL,
[CharsPerLine] [int] NOT NULL,
[PageHeight] [int] NOT NULL,
[CustomPrinterName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CustomPrinterData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[CharReplacement] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[RtlMode] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Printers] on [dbo].[Printers]'
GO
ALTER TABLE [dbo].[Printers] ADD CONSTRAINT [PK_dbo.Printers] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[ProgramSettingValues]'
GO
CREATE TABLE [dbo].[ProgramSettingValues]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Value] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.ProgramSettingValues] on [dbo].[ProgramSettingValues]'
GO
ALTER TABLE [dbo].[ProgramSettingValues] ADD CONSTRAINT [PK_dbo.ProgramSettingValues] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[RefreshTokens]'
GO
CREATE TABLE [dbo].[RefreshTokens]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Identifier] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Subject] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ClientId] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[IssuedUtc] [datetime] NOT NULL,
[ExpiresUtc] [datetime] NOT NULL,
[ProtectedTicket] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[DeviceId] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.RefreshTokens] on [dbo].[RefreshTokens]'
GO
ALTER TABLE [dbo].[RefreshTokens] ADD CONSTRAINT [PK_dbo.RefreshTokens] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Scripts]'
GO
CREATE TABLE [dbo].[Scripts]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[HandlerName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Code] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Scripts] on [dbo].[Scripts]'
GO
ALTER TABLE [dbo].[Scripts] ADD CONSTRAINT [PK_dbo.Scripts] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[States]'
GO
CREATE TABLE [dbo].[States]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[GroupName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[StateType] [int] NOT NULL,
[Color] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ShowOnEndOfDayReport] [bit] NOT NULL,
[ShowOnProductReport] [bit] NOT NULL,
[ShowOnTicket] [bit] NOT NULL,
[DisplayFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[QuantityFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[PriceFormat] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.States] on [dbo].[States]'
GO
ALTER TABLE [dbo].[States] ADD CONSTRAINT [PK_dbo.States] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TimeClockEntries]'
GO
CREATE TABLE [dbo].[TimeClockEntries]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Date] [datetime] NOT NULL,
[UserId] [int] NOT NULL,
[RoleId] [int] NOT NULL,
[DepartmentId] [int] NOT NULL,
[ClockIn] [datetime] NOT NULL,
[ClockOut] [datetime] NOT NULL,
[CreatedBy] [int] NOT NULL,
[ModifiedBy] [int] NOT NULL,
[DeletedBy] [int] NOT NULL,
[ExternalStatus] [int] NOT NULL,
[Notes] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TimeClockEntries] on [dbo].[TimeClockEntries]'
GO
ALTER TABLE [dbo].[TimeClockEntries] ADD CONSTRAINT [PK_dbo.TimeClockEntries] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Triggers]'
GO
CREATE TABLE [dbo].[Triggers]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Expression] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[LastTrigger] [datetime] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Triggers] on [dbo].[Triggers]'
GO
ALTER TABLE [dbo].[Triggers] ADD CONSTRAINT [PK_dbo.Triggers] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[TseTransactions]'
GO
CREATE TABLE [dbo].[TseTransactions]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TicketId] [int] NOT NULL,
[ProcessType] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[State] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[IsRecorded] [int] NOT NULL,
[TransactionNumber] [int] NOT NULL,
[RevisionId] [int] NOT NULL,
[RequestData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[ResponseData] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TransactionId] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[TicketUid] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.TseTransactions] on [dbo].[TseTransactions]'
GO
ALTER TABLE [dbo].[TseTransactions] ADD CONSTRAINT [PK_dbo.TseTransactions] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[VersionInfo]'
GO
CREATE TABLE [dbo].[VersionInfo]
(
[Version] [bigint] NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[WarehouseTypes]'
GO
CREATE TABLE [dbo].[WarehouseTypes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[Hidden] [bit] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.WarehouseTypes] on [dbo].[WarehouseTypes]'
GO
ALTER TABLE [dbo].[WarehouseTypes] ADD CONSTRAINT [PK_dbo.WarehouseTypes] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[Warehouses]'
GO
CREATE TABLE [dbo].[Warehouses]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[WarehouseTypeId] [int] NOT NULL,
[SortOrder] [int] NOT NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.Warehouses] on [dbo].[Warehouses]'
GO
ALTER TABLE [dbo].[Warehouses] ADD CONSTRAINT [PK_dbo.Warehouses] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[WorkPeriods]'
GO
CREATE TABLE [dbo].[WorkPeriods]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[StartDate] [datetime] NOT NULL,
[EndDate] [datetime] NOT NULL,
[StartDescription] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EndDescription] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[WorkPeriodNumber] [int] NOT NULL,
[StartById] [int] NOT NULL,
[EndById] [int] NOT NULL,
[StartByName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[EndByName] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
[Name] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.WorkPeriods] on [dbo].[WorkPeriods]'
GO
ALTER TABLE [dbo].[WorkPeriods] ADD CONSTRAINT [PK_dbo.WorkPeriods] PRIMARY KEY CLUSTERED  ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating [dbo].[__MigrationHistory]'
GO
CREATE TABLE [dbo].[__MigrationHistory]
(
[MigrationId] [nvarchar] (150) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
[ContextKey] [nvarchar] (300) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
[Model] [varbinary] (max) NOT NULL,
[ProductVersion] [nvarchar] (32) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL
)
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Creating primary key [PK_dbo.__MigrationHistory] on [dbo].[__MigrationHistory]'
GO
ALTER TABLE [dbo].[__MigrationHistory] ADD CONSTRAINT [PK_dbo.__MigrationHistory] PRIMARY KEY CLUSTERED  ([MigrationId], [ContextKey])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AccountScreenValues]'
GO
ALTER TABLE [dbo].[AccountScreenValues] ADD CONSTRAINT [FK_dbo.AccountScreenValues_dbo.AccountScreens_AccountScreenId] FOREIGN KEY ([AccountScreenId]) REFERENCES [dbo].[AccountScreens] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AccountTransactionDocumentAccountMaps]'
GO
ALTER TABLE [dbo].[AccountTransactionDocumentAccountMaps] ADD CONSTRAINT [FK_dbo.AccountTransactionDocumentAccountMaps_dbo.AccountTransactionDocumentTypes_AccountTransactionDocumentTypeId] FOREIGN KEY ([AccountTransactionDocumentTypeId]) REFERENCES [dbo].[AccountTransactionDocumentTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes]'
GO
ALTER TABLE [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes] ADD CONSTRAINT [FK_dbo.AccountTransactionDocumentTypeAccountTransactionTypes_dbo.AccountTransactionDocumentTypes_AccountTransactionDocumentType_] FOREIGN KEY ([AccountTransactionDocumentType_Id]) REFERENCES [dbo].[AccountTransactionDocumentTypes] ([Id]) ON DELETE CASCADE
GO
ALTER TABLE [dbo].[AccountTransactionDocumentTypeAccountTransactionTypes] ADD CONSTRAINT [FK_dbo.AccountTransactionDocumentTypeAccountTransactionTypes_dbo.AccountTransactionTypes_AccountTransactionType_Id] FOREIGN KEY ([AccountTransactionType_Id]) REFERENCES [dbo].[AccountTransactionTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AccountTransactionDocumentTypeMaps]'
GO
ALTER TABLE [dbo].[AccountTransactionDocumentTypeMaps] ADD CONSTRAINT [FK_dbo.AccountTransactionDocumentTypeMaps_dbo.AccountTransactionDocumentTypes_AccountTransactionDocumentTypeId] FOREIGN KEY ([AccountTransactionDocumentTypeId]) REFERENCES [dbo].[AccountTransactionDocumentTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AccountTransactions]'
GO
ALTER TABLE [dbo].[AccountTransactions] ADD CONSTRAINT [FK_dbo.AccountTransactions_dbo.AccountTransactionDocuments_AccountTransactionDocumentId] FOREIGN KEY ([AccountTransactionDocumentId]) REFERENCES [dbo].[AccountTransactionDocuments] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[InventoryTransactionDocuments]'
GO
ALTER TABLE [dbo].[InventoryTransactionDocuments] ADD CONSTRAINT [FK_dbo.InventoryTransactionDocuments_dbo.AccountTransactionDocuments_AccountTransactionDocument_Id] FOREIGN KEY ([AccountTransactionDocument_Id]) REFERENCES [dbo].[AccountTransactionDocuments] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Tickets]'
GO
ALTER TABLE [dbo].[Tickets] ADD CONSTRAINT [FK_dbo.Tickets_dbo.AccountTransactionDocuments_TransactionDocument_Id] FOREIGN KEY ([TransactionDocument_Id]) REFERENCES [dbo].[AccountTransactionDocuments] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[CalculationTypes]'
GO
ALTER TABLE [dbo].[CalculationTypes] ADD CONSTRAINT [FK_dbo.CalculationTypes_dbo.AccountTransactionTypes_AccountTransactionType_Id] FOREIGN KEY ([AccountTransactionType_Id]) REFERENCES [dbo].[AccountTransactionTypes] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[ChangePaymentTypes]'
GO
ALTER TABLE [dbo].[ChangePaymentTypes] ADD CONSTRAINT [FK_dbo.ChangePaymentTypes_dbo.AccountTransactionTypes_AccountTransactionType_Id] FOREIGN KEY ([AccountTransactionType_Id]) REFERENCES [dbo].[AccountTransactionTypes] ([Id])
GO
ALTER TABLE [dbo].[ChangePaymentTypes] ADD CONSTRAINT [FK_dbo.ChangePaymentTypes_dbo.Accounts_Account_Id] FOREIGN KEY ([Account_Id]) REFERENCES [dbo].[Accounts] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[InventoryTransactionDocumentTypes]'
GO
ALTER TABLE [dbo].[InventoryTransactionDocumentTypes] ADD CONSTRAINT [FK_dbo.InventoryTransactionDocumentTypes_dbo.AccountTransactionTypes_AccountTransactionType_Id] FOREIGN KEY ([AccountTransactionType_Id]) REFERENCES [dbo].[AccountTransactionTypes] ([Id])
GO
ALTER TABLE [dbo].[InventoryTransactionDocumentTypes] ADD CONSTRAINT [FK_dbo.InventoryTransactionDocumentTypes_dbo.InventoryTransactionTypes_InventoryTransactionType_Id] FOREIGN KEY ([InventoryTransactionType_Id]) REFERENCES [dbo].[InventoryTransactionTypes] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[PaymentTypes]'
GO
ALTER TABLE [dbo].[PaymentTypes] ADD CONSTRAINT [FK_dbo.PaymentTypes_dbo.AccountTransactionTypes_AccountTransactionType_Id] FOREIGN KEY ([AccountTransactionType_Id]) REFERENCES [dbo].[AccountTransactionTypes] ([Id])
GO
ALTER TABLE [dbo].[PaymentTypes] ADD CONSTRAINT [FK_dbo.PaymentTypes_dbo.Accounts_Account_Id] FOREIGN KEY ([Account_Id]) REFERENCES [dbo].[Accounts] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TaxTemplates]'
GO
ALTER TABLE [dbo].[TaxTemplates] ADD CONSTRAINT [FK_dbo.TaxTemplates_dbo.AccountTransactionTypes_AccountTransactionType_Id] FOREIGN KEY ([AccountTransactionType_Id]) REFERENCES [dbo].[AccountTransactionTypes] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TicketTypes]'
GO
ALTER TABLE [dbo].[TicketTypes] ADD CONSTRAINT [FK_dbo.TicketTypes_dbo.AccountTransactionTypes_SaleTransactionType_Id] FOREIGN KEY ([SaleTransactionType_Id]) REFERENCES [dbo].[AccountTransactionTypes] ([Id])
GO
ALTER TABLE [dbo].[TicketTypes] ADD CONSTRAINT [FK_dbo.TicketTypes_dbo.Numerators_OrderNumerator_Id] FOREIGN KEY ([OrderNumerator_Id]) REFERENCES [dbo].[Numerators] ([Id])
GO
ALTER TABLE [dbo].[TicketTypes] ADD CONSTRAINT [FK_dbo.TicketTypes_dbo.Numerators_TicketNumerator_Id] FOREIGN KEY ([TicketNumerator_Id]) REFERENCES [dbo].[Numerators] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AccountTransactionValues]'
GO
ALTER TABLE [dbo].[AccountTransactionValues] ADD CONSTRAINT [FK_dbo.AccountTransactionValues_dbo.AccountTransactions_AccountTransactionId_AccountTransactionDocumentId] FOREIGN KEY ([AccountTransactionId], [AccountTransactionDocumentId]) REFERENCES [dbo].[AccountTransactions] ([Id], [AccountTransactionDocumentId]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[ChangePayments]'
GO
ALTER TABLE [dbo].[ChangePayments] ADD CONSTRAINT [FK_dbo.ChangePayments_dbo.AccountTransactions_AccountTransaction_Id_AccountTransaction_AccountTransactionDocumentId] FOREIGN KEY ([AccountTransaction_Id], [AccountTransaction_AccountTransactionDocumentId]) REFERENCES [dbo].[AccountTransactions] ([Id], [AccountTransactionDocumentId])
GO
ALTER TABLE [dbo].[ChangePayments] ADD CONSTRAINT [FK_dbo.ChangePayments_dbo.Tickets_TicketId] FOREIGN KEY ([TicketId]) REFERENCES [dbo].[Tickets] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Payments]'
GO
ALTER TABLE [dbo].[Payments] ADD CONSTRAINT [FK_dbo.Payments_dbo.AccountTransactions_AccountTransaction_Id_AccountTransaction_AccountTransactionDocumentId] FOREIGN KEY ([AccountTransaction_Id], [AccountTransaction_AccountTransactionDocumentId]) REFERENCES [dbo].[AccountTransactions] ([Id], [AccountTransactionDocumentId])
GO
ALTER TABLE [dbo].[Payments] ADD CONSTRAINT [FK_dbo.Payments_dbo.Tickets_TicketId] FOREIGN KEY ([TicketId]) REFERENCES [dbo].[Tickets] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[ActionContainers]'
GO
ALTER TABLE [dbo].[ActionContainers] ADD CONSTRAINT [FK_dbo.ActionContainers_dbo.AppRules_AppRuleId] FOREIGN KEY ([AppRuleId]) REFERENCES [dbo].[AppRules] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AppRuleMaps]'
GO
ALTER TABLE [dbo].[AppRuleMaps] ADD CONSTRAINT [FK_dbo.AppRuleMaps_dbo.AppRules_AppRuleId] FOREIGN KEY ([AppRuleId]) REFERENCES [dbo].[AppRules] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AutomationCommandLogs]'
GO
ALTER TABLE [dbo].[AutomationCommandLogs] ADD CONSTRAINT [FK_dbo.AutomationCommandLogs_dbo.Tickets_TicketId] FOREIGN KEY ([TicketId]) REFERENCES [dbo].[Tickets] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[AutomationCommandMaps]'
GO
ALTER TABLE [dbo].[AutomationCommandMaps] ADD CONSTRAINT [FK_dbo.AutomationCommandMaps_dbo.AutomationCommands_AutomationCommandId] FOREIGN KEY ([AutomationCommandId]) REFERENCES [dbo].[AutomationCommands] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[CalculationSelectorCalculationTypes]'
GO
ALTER TABLE [dbo].[CalculationSelectorCalculationTypes] ADD CONSTRAINT [FK_dbo.CalculationSelectorCalculationTypes_dbo.CalculationSelectors_CalculationSelector_Id] FOREIGN KEY ([CalculationSelector_Id]) REFERENCES [dbo].[CalculationSelectors] ([Id]) ON DELETE CASCADE
GO
ALTER TABLE [dbo].[CalculationSelectorCalculationTypes] ADD CONSTRAINT [FK_dbo.CalculationSelectorCalculationTypes_dbo.CalculationTypes_CalculationType_Id] FOREIGN KEY ([CalculationType_Id]) REFERENCES [dbo].[CalculationTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[CalculationSelectorMaps]'
GO
ALTER TABLE [dbo].[CalculationSelectorMaps] ADD CONSTRAINT [FK_dbo.CalculationSelectorMaps_dbo.CalculationSelectors_CalculationSelectorId] FOREIGN KEY ([CalculationSelectorId]) REFERENCES [dbo].[CalculationSelectors] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Calculations]'
GO
ALTER TABLE [dbo].[Calculations] ADD CONSTRAINT [FK_dbo.Calculations_dbo.Tickets_TicketId] FOREIGN KEY ([TicketId]) REFERENCES [dbo].[Tickets] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[ChangePaymentTypeMaps]'
GO
ALTER TABLE [dbo].[ChangePaymentTypeMaps] ADD CONSTRAINT [FK_dbo.ChangePaymentTypeMaps_dbo.ChangePaymentTypes_ChangePaymentTypeId] FOREIGN KEY ([ChangePaymentTypeId]) REFERENCES [dbo].[ChangePaymentTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[CostItems]'
GO
ALTER TABLE [dbo].[CostItems] ADD CONSTRAINT [FK_dbo.CostItems_dbo.WarehouseConsumptions_WarehouseConsumptionId_PeriodicConsumptionId] FOREIGN KEY ([WarehouseConsumptionId], [PeriodicConsumptionId]) REFERENCES [dbo].[WarehouseConsumptions] ([Id], [PeriodicConsumptionId]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[EntityStateLogs]'
GO
ALTER TABLE [dbo].[EntityStateLogs] ADD CONSTRAINT [FK_dbo.EntityStateLogs_dbo.Entities_EntityId] FOREIGN KEY ([EntityId]) REFERENCES [dbo].[Entities] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[EntityCustomFields]'
GO
ALTER TABLE [dbo].[EntityCustomFields] ADD CONSTRAINT [FK_dbo.EntityCustomFields_dbo.EntityTypes_EntityTypeId] FOREIGN KEY ([EntityTypeId]) REFERENCES [dbo].[EntityTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[EntityScreenItems]'
GO
ALTER TABLE [dbo].[EntityScreenItems] ADD CONSTRAINT [FK_dbo.EntityScreenItems_dbo.EntityScreens_EntityScreenId] FOREIGN KEY ([EntityScreenId]) REFERENCES [dbo].[EntityScreens] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[EntityScreenMaps]'
GO
ALTER TABLE [dbo].[EntityScreenMaps] ADD CONSTRAINT [FK_dbo.EntityScreenMaps_dbo.EntityScreens_EntityScreenId] FOREIGN KEY ([EntityScreenId]) REFERENCES [dbo].[EntityScreens] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Widgets]'
GO
ALTER TABLE [dbo].[Widgets] ADD CONSTRAINT [FK_dbo.Widgets_dbo.EntityScreens_EntityScreenId] FOREIGN KEY ([EntityScreenId]) REFERENCES [dbo].[EntityScreens] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[EntityTypeAssignments]'
GO
ALTER TABLE [dbo].[EntityTypeAssignments] ADD CONSTRAINT [FK_dbo.EntityTypeAssignments_dbo.TicketTypes_TicketTypeId] FOREIGN KEY ([TicketTypeId]) REFERENCES [dbo].[TicketTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[InventoryItemUnits]'
GO
ALTER TABLE [dbo].[InventoryItemUnits] ADD CONSTRAINT [FK_dbo.InventoryItemUnits_dbo.InventoryItems_InventoryItemId] FOREIGN KEY ([InventoryItemId]) REFERENCES [dbo].[InventoryItems] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[InventoryTransactions]'
GO
ALTER TABLE [dbo].[InventoryTransactions] ADD CONSTRAINT [FK_dbo.InventoryTransactions_dbo.InventoryItems_InventoryItem_Id] FOREIGN KEY ([InventoryItem_Id]) REFERENCES [dbo].[InventoryItems] ([Id])
GO
ALTER TABLE [dbo].[InventoryTransactions] ADD CONSTRAINT [FK_dbo.InventoryTransactions_dbo.InventoryTransactionDocuments_InventoryTransactionDocumentId] FOREIGN KEY ([InventoryTransactionDocumentId]) REFERENCES [dbo].[InventoryTransactionDocuments] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[RecipeItems]'
GO
ALTER TABLE [dbo].[RecipeItems] ADD CONSTRAINT [FK_dbo.RecipeItems_dbo.InventoryItems_InventoryItem_Id] FOREIGN KEY ([InventoryItem_Id]) REFERENCES [dbo].[InventoryItems] ([Id])
GO
ALTER TABLE [dbo].[RecipeItems] ADD CONSTRAINT [FK_dbo.RecipeItems_dbo.MenuItemPortions_MenuItemPortion_Id] FOREIGN KEY ([MenuItemPortion_Id]) REFERENCES [dbo].[MenuItemPortions] ([Id])
GO
ALTER TABLE [dbo].[RecipeItems] ADD CONSTRAINT [FK_dbo.RecipeItems_dbo.Recipes_RecipeId] FOREIGN KEY ([RecipeId]) REFERENCES [dbo].[Recipes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[MenuAssignments]'
GO
ALTER TABLE [dbo].[MenuAssignments] ADD CONSTRAINT [FK_dbo.MenuAssignments_dbo.TicketTypes_TicketTypeId] FOREIGN KEY ([TicketTypeId]) REFERENCES [dbo].[TicketTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[MenuItemPrices]'
GO
ALTER TABLE [dbo].[MenuItemPrices] ADD CONSTRAINT [FK_dbo.MenuItemPrices_dbo.MenuItemPortions_MenuItemPortionId] FOREIGN KEY ([MenuItemPortionId]) REFERENCES [dbo].[MenuItemPortions] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Recipes]'
GO
ALTER TABLE [dbo].[Recipes] ADD CONSTRAINT [FK_dbo.Recipes_dbo.MenuItemPortions_PortionId] FOREIGN KEY ([PortionId]) REFERENCES [dbo].[MenuItemPortions] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[MenuItemPortions]'
GO
ALTER TABLE [dbo].[MenuItemPortions] ADD CONSTRAINT [FK_dbo.MenuItemPortions_dbo.MenuItems_MenuItemId] FOREIGN KEY ([MenuItemId]) REFERENCES [dbo].[MenuItems] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[OrderTagMaps]'
GO
ALTER TABLE [dbo].[OrderTagMaps] ADD CONSTRAINT [FK_dbo.OrderTagMaps_dbo.OrderTagGroups_OrderTagGroupId] FOREIGN KEY ([OrderTagGroupId]) REFERENCES [dbo].[OrderTagGroups] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[OrderTags]'
GO
ALTER TABLE [dbo].[OrderTags] ADD CONSTRAINT [FK_dbo.OrderTags_dbo.OrderTagGroups_OrderTagGroupId] FOREIGN KEY ([OrderTagGroupId]) REFERENCES [dbo].[OrderTagGroups] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Orders]'
GO
ALTER TABLE [dbo].[Orders] ADD CONSTRAINT [FK_dbo.Orders_dbo.Tickets_TicketId] FOREIGN KEY ([TicketId]) REFERENCES [dbo].[Tickets] ([Id]) ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Orders] ADD CONSTRAINT [FK_dbo.Orders_dbo.ProductTimerValues_ProductTimerValueId] FOREIGN KEY ([ProductTimerValueId]) REFERENCES [dbo].[ProductTimerValues] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[PaidItems]'
GO
ALTER TABLE [dbo].[PaidItems] ADD CONSTRAINT [FK_dbo.PaidItems_dbo.Tickets_TicketId] FOREIGN KEY ([TicketId]) REFERENCES [dbo].[Tickets] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[PaymentTypeMaps]'
GO
ALTER TABLE [dbo].[PaymentTypeMaps] ADD CONSTRAINT [FK_dbo.PaymentTypeMaps_dbo.PaymentTypes_PaymentTypeId] FOREIGN KEY ([PaymentTypeId]) REFERENCES [dbo].[PaymentTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[PeriodicConsumptionItems]'
GO
ALTER TABLE [dbo].[PeriodicConsumptionItems] ADD CONSTRAINT [FK_dbo.PeriodicConsumptionItems_dbo.WarehouseConsumptions_WarehouseConsumptionId_PeriodicConsumptionId] FOREIGN KEY ([WarehouseConsumptionId], [PeriodicConsumptionId]) REFERENCES [dbo].[WarehouseConsumptions] ([Id], [PeriodicConsumptionId]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[WarehouseConsumptions]'
GO
ALTER TABLE [dbo].[WarehouseConsumptions] ADD CONSTRAINT [FK_dbo.WarehouseConsumptions_dbo.PeriodicConsumptions_PeriodicConsumptionId] FOREIGN KEY ([PeriodicConsumptionId]) REFERENCES [dbo].[PeriodicConsumptions] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Permissions]'
GO
ALTER TABLE [dbo].[Permissions] ADD CONSTRAINT [FK_dbo.Permissions_dbo.UserRoles_UserRoleId] FOREIGN KEY ([UserRoleId]) REFERENCES [dbo].[UserRoles] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[PrinterMaps]'
GO
ALTER TABLE [dbo].[PrinterMaps] ADD CONSTRAINT [FK_dbo.PrinterMaps_dbo.PrintJobs_PrintJobId] FOREIGN KEY ([PrintJobId]) REFERENCES [dbo].[PrintJobs] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[ProductTimerMaps]'
GO
ALTER TABLE [dbo].[ProductTimerMaps] ADD CONSTRAINT [FK_dbo.ProductTimerMaps_dbo.ProductTimers_ProductTimerId] FOREIGN KEY ([ProductTimerId]) REFERENCES [dbo].[ProductTimers] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[ScreenMenuItems]'
GO
ALTER TABLE [dbo].[ScreenMenuItems] ADD CONSTRAINT [FK_dbo.ScreenMenuItems_dbo.ScreenMenuCategories_ScreenMenuCategoryId] FOREIGN KEY ([ScreenMenuCategoryId]) REFERENCES [dbo].[ScreenMenuCategories] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[ScreenMenuCategories]'
GO
ALTER TABLE [dbo].[ScreenMenuCategories] ADD CONSTRAINT [FK_dbo.ScreenMenuCategories_dbo.ScreenMenus_ScreenMenuId] FOREIGN KEY ([ScreenMenuId]) REFERENCES [dbo].[ScreenMenus] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TaskCustomFields]'
GO
ALTER TABLE [dbo].[TaskCustomFields] ADD CONSTRAINT [FK_dbo.TaskCustomFields_dbo.TaskTypes_TaskTypeId] FOREIGN KEY ([TaskTypeId]) REFERENCES [dbo].[TaskTypes] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TaskTokens]'
GO
ALTER TABLE [dbo].[TaskTokens] ADD CONSTRAINT [FK_dbo.TaskTokens_dbo.Tasks_TaskId] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Tasks] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TaxTemplateMaps]'
GO
ALTER TABLE [dbo].[TaxTemplateMaps] ADD CONSTRAINT [FK_dbo.TaxTemplateMaps_dbo.TaxTemplates_TaxTemplateId] FOREIGN KEY ([TaxTemplateId]) REFERENCES [dbo].[TaxTemplates] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[Users]'
GO
ALTER TABLE [dbo].[Users] ADD CONSTRAINT [FK_dbo.Users_dbo.Terminals_Terminal_Id] FOREIGN KEY ([Terminal_Id]) REFERENCES [dbo].[Terminals] ([Id])
GO
ALTER TABLE [dbo].[Users] ADD CONSTRAINT [FK_dbo.Users_dbo.UserRoles_UserRole_Id] FOREIGN KEY ([UserRole_Id]) REFERENCES [dbo].[UserRoles] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TicketEntities]'
GO
ALTER TABLE [dbo].[TicketEntities] ADD CONSTRAINT [FK_dbo.TicketEntities_dbo.Tickets_Ticket_Id] FOREIGN KEY ([Ticket_Id]) REFERENCES [dbo].[Tickets] ([Id])
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TicketTagMaps]'
GO
ALTER TABLE [dbo].[TicketTagMaps] ADD CONSTRAINT [FK_dbo.TicketTagMaps_dbo.TicketTagGroups_TicketTagGroupId] FOREIGN KEY ([TicketTagGroupId]) REFERENCES [dbo].[TicketTagGroups] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
PRINT N'Adding foreign keys to [dbo].[TicketTags]'
GO
ALTER TABLE [dbo].[TicketTags] ADD CONSTRAINT [FK_dbo.TicketTags_dbo.TicketTagGroups_TicketTagGroupId] FOREIGN KEY ([TicketTagGroupId]) REFERENCES [dbo].[TicketTagGroups] ([Id]) ON DELETE CASCADE
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
COMMIT TRANSACTION
GO
IF @@ERROR <> 0 SET NOEXEC ON
GO
-- This statement writes to the SQL Server Log so SQL Monitor can show this deployment.
IF HAS_PERMS_BY_NAME(N'sys.xp_logevent', N'OBJECT', N'EXECUTE') = 1
BEGIN
    DECLARE @databaseName AS nvarchar(2048), @eventMessage AS nvarchar(2048)
    SET @databaseName = REPLACE(REPLACE(DB_NAME(), N'\', N'\\'), N'"', N'\"')
    SET @eventMessage = N'Redgate SQL Compare: { "deployment": { "description": "Redgate SQL Compare deployed to ' + @databaseName + N'", "database": "' + @databaseName + N'" }}'
    EXECUTE sys.xp_logevent 55000, @eventMessage
END
GO
DECLARE @Success AS BIT
SET @Success = 1
SET NOEXEC OFF
IF (@Success = 1) PRINT 'The database update succeeded'
ELSE BEGIN
	IF @@TRANCOUNT > 0 ROLLBACK TRANSACTION
	PRINT 'The database update failed'
END
GO
